package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.EmpresaTrocoSimplesDAO;
import com.rjconsultores.ventaboletos.entidad.EmpresaTrocoSimples;

@Repository("empresaTrocoSimplesDAO")
public class EmpresaTrocoSimplesHibernateDAO extends GenericHibernateDAO<EmpresaTrocoSimples, Long> implements EmpresaTrocoSimplesDAO {

	@Autowired
	public EmpresaTrocoSimplesHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
	
	@Override
	public EmpresaTrocoSimples buscarPorEmpresaId(Integer empresaId) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.add(Restrictions.eq("empresa.empresaId", empresaId));

		return (EmpresaTrocoSimples) c.uniqueResult();
	}

}
